import React, { useState, useEffect } from 'react';
import { json } from 'd3';
import { feature, mesh } from 'topojson';

const url = 'https://raw.githubusercontent.com/deldersveld/topojson/master/countries/india/india-states.json';

export const loadData = () => {
  const [data, setData] = useState(null);

   useEffect(() => {
     json(url).then(topology => {
       const { states, nation } = topology.objects;
       setData({
         land: feature(topology, nation),
         interiors: mesh(topology, states, (a, b) => a !== b)
       });
     });
   }, []);

  return data;
};
